Bug 1643610 - [RFE] Link directly from the Overview page to the Infrastructure Mappings page
Summary: [RFE] Link directly from the Overview page to the Infrastructure Mappings page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: GA
: 5.10.0
Assignee: Brett Thurber
QA Contact: Yadnyawalk Tale
Red Hat CloudForms Documentation
URL:
Whiteboard: v2v
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-26 17:28 UTC by Mike Turley
Modified: 2019-02-07 23:04 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:55 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:04:00 UTC

Comment 2 Mike Turley 2018-10-29 20:07:00 UTC
The above referenced PR has been abandoned in favor of https://github.com/ManageIQ/manageiq-v2v/pull/745 .

Comment 3 CFME Bot 2018-11-20 14:44:37 UTC
New commit detected on ManageIQ/manageiq-v2v/hammer:

https://github.com/ManageIQ/manageiq-v2v/commit/99fbcd2337c78e506a0bc6fc2f9c0c29c3e17ee2
commit 99fbcd2337c78e506a0bc6fc2f9c0c29c3e17ee2
Author:     Michael Ro <mikerodev@gmail.com>
AuthorDate: Mon Nov 19 17:35:02 2018 -0500
Commit:     Michael Ro <mikerodev@gmail.com>
CommitDate: Mon Nov 19 17:35:02 2018 -0500

    Merge pull request #745 from mturley/715-mapping-link-no-filter

    [#715] Link directly from the Overview page to the Infra Mappings page without filter

    (cherry picked from commit 691f0a74b63603c97dad7b4211ab6a6c35d06d1c)

    https://bugzilla.redhat.com/show_bug.cgi?id=1643610

 app/javascript/react/screens/App/Overview/components/Migrations/MigrationsCompletedList.js | 2 +-
 app/javascript/react/screens/App/Overview/components/Migrations/MigrationsNotStartedList.js | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

Comment 4 Yadnyawalk Tale 2018-12-11 11:41:38 UTC
No doubt this is great idea @Mike, but I have two concerns -
1. Current behavior is when I click that link it just redirect me to mapping all page. If we are just redirecting it to map page i am not sure what is need to create separate links on each plan.
Actually I was hopping, since this link contains map1 like text, it should also point to map1 map (map1 details page, not all) let me know your views on this.

2. Can we do the same for infra maps too? I am not sure if that will overfill that page but just a thoughts. May be we can also add same links to `Associated Plan` sections.
Let me know if I need to create issue/RFE for this ^^.

Checked on - 5.10.0.28.20181204160308_aa3b074

Comment 5 Mike Turley 2018-12-11 19:56:37 UTC
@YTale,

1. Currently, there is no mapping details page, the only way to view a mapping's details is in the context of the mappings list view page. Your suggestion was our original intention, and I originally implemented it as a search filter (https://github.com/ManageIQ/manageiq-v2v/pull/742) so that when you clicked the "map1" link it would redirect to the mappings page and apply a search filter for the text "map1". There are two reasons we decided to abandon that approach:

  (a) The search filter is not an exact match, so e.g. if you also had "map11" and "map12" those would also appear in the results for "map1", which is confusing.
  (b) because of a change to how our URL router works, we are no longer able to persist state like that search query across a page redirect (at least until we address the related issues with the router).

So we decided to just have the links take you to the mappings page with no filter applied. @Vince, should we address @YTale's concern with a design change?

2. Since an unlimited number of migration plans can be associated with an infra mapping, I'm not sure how we would effectively include links from a mapping to each of its associated plans.

Comment 6 vconzola 2018-12-11 20:07:23 UTC
@Mike @YTale

1. We all recognize this as a limitation that we can revisit after the router issues are addressed.

2. Linking for Associated Plans has been on my roadmap for a while, and I'd like to add it if/when we have a separate migration plans page.

Comment 7 Yadnyawalk Tale 2018-12-12 12:26:11 UTC
Totally make sense @Mike @Vince.
Thanks for explanations on URL router issues and associate plan linking.

RFE looks good to me, maps linking works well overall.
Verified on - 5.10.0.29.20181211195209_fd990a9

great work.

Comment 8 errata-xmlrpc 2019-02-07 23:03:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.